org.apache.poi.hwpf.model

## Class ListData

- java.lang.Object
- - org.apache.poi.hwpf.model.ListData

-     @Internal
      public final class ListData
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListData(int listID, boolean numbered)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `ListLevel` | `getLevel(int index)` Gets the level associated to a particular List at a particular index.
    `ListLevel[]` | `getLevels()`
    `int` | `getLevelStyle(int index)`
    `int` | `getLsid()`
    `int` | `hashCode()`
    `int` | `numLevels()`
    `void` | `setLevel(int index, ListLevel level)`
    `void` | `setLevelStyle(int index, int styleIndex)`
    `byte[]` | `toByteArray()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListData

          public ListData(int listID,
                          boolean numbered)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getLevel

          public ListLevel getLevel(int index)

      Gets the level associated to a particular List at a particular index.
      Parameters:
        `index` - 1-based index
      Returns:
        a list level

    - #### getLevels

          public ListLevel[] getLevels()

    - #### getLevelStyle

          public int getLevelStyle(int index)

    - #### getLsid

          public int getLsid()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### numLevels

          public int numLevels()

    - #### setLevel

          public void setLevel(int index,
                               ListLevel level)

    - #### setLevelStyle

          public void setLevelStyle(int index,
                                    int styleIndex)

    - #### toByteArray

          public byte[] toByteArray()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.